# GimpUi.CellRendererToggle

    const GimpUi = imports.gi.GimpUi;

    let cellRendererToggle = new GimpUi.CellRendererToggle({
        icon_name: value,
        icon_size: value,
        override_background: value,
    });

A Gtk.CellRendererToggle that displays icons instead of a checkbox.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.CellRenderer
      - Gtk.CellRendererToggle
        - GimpUi.CellRendererToggle

## Constructors

- GimpUi.CellRendererToggle.new

## Methods

- GimpUi.CellRendererToggle.prototype.clicked

## Properties

- icon-name
- icon-size
- override-background

## Signals

- clicked